---
- name: "test playbook"
  hosts: all
  vars:
        user: totem
  tasks:
        - name: "creation groupe marcus"
          group:
                name: marcus
                state: present
        - name: "creation de user"
          when: user is defined
          user:
                name: "{{ user }}"
                create_home: yes
                shell: /usr/bin/zsh
                comment: mon user
#                uid: 2001
                group: marcus
        - name: "ajout clef pub pour le user marcus"
          when: user is defined
          authorized_key:
                user: "{{ user }}"
                key: "{{ lookup('file', '/root/.ssh/id_rsa.pub') }}"

        - name: "config sudo"
          template:
                src: /etc/ansible/template/sudoers.j2
                dest: /etc/sudoers.d/{{ user }}
